Categories:
  - Connectivity
  - Security
  - Money
License: MPL-2.0
AuthorWebSite: https://statusnetwork.com/
WebSite: https://status.im/
SourceCode: https://github.com/status-im/status-react
IssueTracker: https://github.com/status-im/status-react/issues

AutoName: Status

RepoType: git
Repo: https://github.com/status-im/status-react.git

Builds:
  - versionName: 1.11.1
    versionCode: 2021021509
    commit: 07b5f31c688d08cd4a1198a13fc1c34adf6afc2f
    sudo:
      - sysctl fs.inotify.max_user_watches=524288
      - mkdir -m 0755 /nix
      - chown vagrant /nix
    init: ./nix/scripts/setup.sh
    output: result/app-release-unsigned.apk
    scanignore:
      - android/build.gradle
    scandelete:
      - ios
    build:
      - echo "GOOGLE_FREE=1" >> .env.release
      - make release-android BUILD_TYPE=release BUILD_NUMBER=$$VERCODE$$ ANDROID_APK_SIGNED=false
        ANDROID_ABI_INCLUDE="armeabi-v7a;arm64-v8a;x86;x86_64"

  - versionName: 1.12.0
    versionCode: 2021030814
    commit: 1771c3cf59f48274c41e92b4b3ce2ad70f757e57
    sudo:
      - sysctl fs.inotify.max_user_watches=524288
      - mkdir -m 0755 /nix
      - chown vagrant /nix
    init: nix/scripts/setup.sh
    output: result/app-release-unsigned.apk
    scanignore:
      - android/build.gradle
    scandelete:
      - ios
    build: make release-fdroid BUILD_NUMBER=$$VERCODE$$

MaintainerNotes: |-
    Status.im mobile app is built in a deterministic way using Nix package manager.
    Because of this we disable Gradle builds via F-Droid and run `make release-android`.
    For information on how to submit updates see this readme.
    https://github.com/status-im/status-react/blob/develop/doc/FDROID.md

AutoUpdateMode: None
UpdateCheckMode: None
CurrentVersion: 1.12.0
CurrentVersionCode: 2021030814
